Link a program or recipient to a Bloomerang target
Requires a contribution/number/campaign program, optional non-deleted recipient in that program, and an available fund/campaign/appeal target. Atomically saves an active designation_target object link, supersedes previous same-type links and removes stale different-provider-id links for that exact local target/type. Updates selected program context without creating a provider object or syncing records. Requires the integration platform global/configured client feature gate (normally integration_platform_foundation). Requires permission: one of access_account_settings.
curl --request POST \
--url https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/bloomerang/recipient-mapping \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"program_id": 1,
"provider_object_type": "fund",
"provider_object_id": 1,
"designation_id": 1
}
'import requests
url = "https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/bloomerang/recipient-mapping"
payload = {
"program_id": 1,
"provider_object_type": "fund",
"provider_object_id": 1,
"designation_id": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
program_id: 1,
provider_object_type: 'fund',
provider_object_id: 1,
designation_id: 1
})
};
fetch('https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/bloomerang/recipient-mapping', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/bloomerang/recipient-mapping",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'program_id' => 1,
'provider_object_type' => 'fund',
'provider_object_id' => 1,
'designation_id' => 1
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/bloomerang/recipient-mapping"
payload := strings.NewReader("{\n \"program_id\": 1,\n \"provider_object_type\": \"fund\",\n \"provider_object_id\": 1,\n \"designation_id\": 1\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/bloomerang/recipient-mapping")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"program_id\": 1,\n \"provider_object_type\": \"fund\",\n \"provider_object_id\": 1,\n \"designation_id\": 1\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/bloomerang/recipient-mapping")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"program_id\": 1,\n \"provider_object_type\": \"fund\",\n \"provider_object_id\": 1,\n \"designation_id\": 1\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"connection": {
"id": 42,
"target_context_json": {}
},
"mapping": {
"id": 42,
"connection_id": 42,
"provider_key": "Example",
"mapping_role": "Example",
"hys_object_type": "Example",
"hys_object_id": 42,
"hys_object_name": "Example",
"hys_program_id": 42,
"hys_program_name": "Example",
"provider_object_type": "Example",
"provider_object_id": "Example",
"provider_object_name": "Example",
"provider_parent_object_id": "Example",
"provider_parent_object_name": "Example",
"status": "Example",
"metadata_json": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
},
"message": "Example"
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}Authorizations
Passport bearer token authentication for legacy admin sessions.
Path Parameters
Connection id in the current organization.
Body
Validated request fields for this operation.
Program id. Validation: required, integer.
1
Provider object type. Validation: required; allowed values: fund, campaign, appeal.
fund, campaign, appeal "fund"
Provider object id. Validation: required, integer.
1
Designation id. Validation: nullable, integer.
1
curl --request POST \
--url https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/bloomerang/recipient-mapping \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"program_id": 1,
"provider_object_type": "fund",
"provider_object_id": 1,
"designation_id": 1
}
'import requests
url = "https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/bloomerang/recipient-mapping"
payload = {
"program_id": 1,
"provider_object_type": "fund",
"provider_object_id": 1,
"designation_id": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
program_id: 1,
provider_object_type: 'fund',
provider_object_id: 1,
designation_id: 1
})
};
fetch('https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/bloomerang/recipient-mapping', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/bloomerang/recipient-mapping",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'program_id' => 1,
'provider_object_type' => 'fund',
'provider_object_id' => 1,
'designation_id' => 1
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/bloomerang/recipient-mapping"
payload := strings.NewReader("{\n \"program_id\": 1,\n \"provider_object_type\": \"fund\",\n \"provider_object_id\": 1,\n \"designation_id\": 1\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/bloomerang/recipient-mapping")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"program_id\": 1,\n \"provider_object_type\": \"fund\",\n \"provider_object_id\": 1,\n \"designation_id\": 1\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/bloomerang/recipient-mapping")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"program_id\": 1,\n \"provider_object_type\": \"fund\",\n \"provider_object_id\": 1,\n \"designation_id\": 1\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"connection": {
"id": 42,
"target_context_json": {}
},
"mapping": {
"id": 42,
"connection_id": 42,
"provider_key": "Example",
"mapping_role": "Example",
"hys_object_type": "Example",
"hys_object_id": 42,
"hys_object_name": "Example",
"hys_program_id": 42,
"hys_program_name": "Example",
"provider_object_type": "Example",
"provider_object_id": "Example",
"provider_object_name": "Example",
"provider_parent_object_id": "Example",
"provider_parent_object_name": "Example",
"status": "Example",
"metadata_json": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
},
"message": "Example"
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}